VPS侦探论坛

 找回密码
 注册
查看: 264|回复: 4

升级 Nginx1.23.2 失败

[复制链接]
发表于 2022-11-3 01:59:49 | 显示全部楼层 |阅读模式


如图,升级提示编译失败,未
添加 Nginx 模块和其它编译参数

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-11-3 09:39:13 | 显示全部楼层


看错误信息可能是lua模块与nginx 1.23的兼容性问题
nginx 1.22是没有问题的
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2022-11-3 11:30:11 | 显示全部楼层

licess 发表于 2022-11-3 09:39
看错误信息可能是lua模块与nginx 1.23的兼容性问题
nginx 1.22是没有问题的

之前我把 lnmp1.9/lnmp.conf 配置下的 Enable_Nginx_Lua=参数改为了 y,现在恢复为 n 升级成功了
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2022-11-3 11:33:54 | 显示全部楼层



licess 发表于 2022-11-3 09:39
看错误信息可能是lua模块与nginx 1.23的兼容性问题
nginx 1.22是没有问题的

还有个问题就是我另一台服务器安装的是 lnmp1.9 完整版,升级 nginx1.23.2 也是出现这个问题,但换成 lnmp1.9 下载版的升级就没问题
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2022-11-3 17:37:28 | 显示全部楼层

Matinal 发表于 2022-11-3 11:33
还有个问题就是我另一台服务器安装的是 lnmp1.9 完整版,升级 nginx1.23.2 也是出现这个问题,但换成 ln ...

完整版和下载没任何代码上的区别只是多了部分源码的软件包

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-11-27 03:24 , Processed in 0.048963 second(s), 17 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表